List All FX Trades (New)
Overview
Provides a paginated and filterable query endpoint to list all past and active FX trade transactions with comprehensive pricing, settlement timestamps, and statuses.
HTTP Request
POST /banking/ibans/v2/fx/list
Authentication
This endpoint requires an active Bearer JWT token in the Authorization header obtained via POST /banking/ibans/v2/users/login:
Authorization: Bearer <your_access_token>
Request Body Fields
| Field | Type | Description |
|---|---|---|
sourceTargetPairs | array | Sample value: [{"source": "wallet", "target": "account"}, {"source": "account", "target": "wallet"}, {"source": "account", "target": "account"}, {"source": "wallet", "target": "wallet"}] |
state | object | Sample value: {"include": ["inwardSettlementDone"]} |
createdStartDate | str | Sample value: 2024-02-20T18:30:00.000Z |
createdEndDate | str | Sample value: 2024-03-22T18:29:59.999Z |
paymentIds | array | Sample value: ["88ba34cd-7074-46f4-a006-4fd8c7a5e1e8", "807e02f5-7235-4826-aef5-d93c75216b48"] |
Code Examples
- cURL
- JavaScript (Axios)
- Python (Requests)
curl -X POST "https://api.ahrvo.network/banking/ibans/v2/fx/list" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <your_access_token>" \
-d '{
"sourceTargetPairs": [
{
"source": "wallet",
"target": "account"
},
{
"source": "account",
"target": "wallet"
},
{
"source": "account",
"target": "account"
},
{
"source": "wallet",
"target": "wallet"
}
],
"state": {
"include": [
"inwardSettlementDone"
]
},
"createdStartDate": "2024-02-20T18:30:00.000Z",
"createdEndDate": "2024-03-22T18:29:59.999Z",
"paymentIds": [
"88ba34cd-7074-46f4-a006-4fd8c7a5e1e8",
"807e02f5-7235-4826-aef5-d93c75216b48"
]
}'
import axios from 'axios';
const response = await axios.post('https://api.ahrvo.network/banking/ibans/v2/fx/list', {
"sourceTargetPairs": [
{
"source": "wallet",
"target": "account"
},
{
"source": "account",
"target": "wallet"
},
{
"source": "account",
"target": "account"
},
{
"source": "wallet",
"target": "wallet"
}
],
"state": {
"include": [
"inwardSettlementDone"
]
},
"createdStartDate": "2024-02-20T18:30:00.000Z",
"createdEndDate": "2024-03-22T18:29:59.999Z",
"paymentIds": [
"88ba34cd-7074-46f4-a006-4fd8c7a5e1e8",
"807e02f5-7235-4826-aef5-d93c75216b48"
]
}, {
headers: {
'Content-Type': 'application/json',
'Authorization': 'Bearer <your_access_token>'
}
});
console.log(response.data);
import requests
url = "https://api.ahrvo.network/banking/ibans/v2/fx/list"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer <your_access_token>"
}
payload = {
"sourceTargetPairs": [
{
"source": "wallet",
"target": "account"
},
{
"source": "account",
"target": "wallet"
},
{
"source": "account",
"target": "account"
},
{
"source": "wallet",
"target": "wallet"
}
],
"state": {
"include": [
"inwardSettlementDone"
]
},
"createdStartDate": "2024-02-20T18:30:00.000Z",
"createdEndDate": "2024-03-22T18:29:59.999Z",
"paymentIds": [
"88ba34cd-7074-46f4-a006-4fd8c7a5e1e8",
"807e02f5-7235-4826-aef5-d93c75216b48"
]
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
Response (200)
{
"totalCount": 355,
"items": [
{
"id": "20088",
"reference": "EN-05062024-055",
"userId": "2289",
"companyId": "2233",
"currencyFrom": "USD",
"amountFrom": 4800,
"currencyTo": "NGN",
"amountTo": 4936560,
"rate": 1028.4456,
"pricing": {
"overageFee": 0,
"usageId": "6660409cc733e0fac55eb97f",
"subscriptionId": "664b3fc0e8e52032427e0b70"
},
"state": "inwardSettlementDone",
"source": "wallet",
"sourceId": 11435,
"target": "account",
"targetId": 32655,
"description": null,
"inwardSettlementTime": "2024-06-05T10:40:44.000Z",
"outwardSettlementTime": null,
"purpose": "Professional fees payment(i.e. legal, accountant)",
"scheduledAt": null,
"expiredAt": null,
"createdAt": "2024-06-05T10:40:29.000Z",
"updatedAt": "2024-06-05T10:40:51.000Z",
"transaction": {
"receiver": {
"accountNumber": "5401662301",
"bankName": "Providus Bank",
"name": "crest ",
"bankCode": "000023"
},
"shortURL": ""
},
"paymentId": "064e9219-401e-4cec-a201-6324266bc3cb"
},
{
"id": "20064",
"reference": "EN-05062024-030",
"userId": "2289",
"companyId": "2233",
"currencyFrom": "GBP",
"amountFrom": 7880,
"currencyTo": "USD",
"amountTo": 9984.84,
"rate": 1.2671113414,
"pricing": {
"overageFee": 0,
"usageId": null,
"subscriptionId": null
},
"state": "outwardSettlementDone",
"source": "wallet",
"sourceId": 11436,
"target": "wallet",
"targetId": 16024,
"description": null,
"inwardSettlementTime": "2024-06-05T08:28:16.000Z",
"outwardSettlementTime": "2024-06-05T08:28:21.000Z",
"scheduledAt": null,
"expiredAt": null,
"createdAt": "2024-06-05T08:28:13.000Z",
"updatedAt": "2024-06-05T08:28:21.000Z",
"paymentId": "c00ce727-e376-4a07-abc2-ba9178c9931c"
},
{
"id": "20032",
"reference": "EN-04062024-069",
"userId": "2289",
"companyId": "2233",
"currencyFrom": "AUD",
"amountFrom": 4000,
"currencyTo": "USD",
"amountTo": 2242.98,
"rate": 0.5607452955,
"pricing": {
"overageFee": 0,
"usageId": "665eecc7af3ae240252e360f",
"subscriptionId": "664b3fc0e8e52032427e0b70"
},
"state": "confirmed",
"source": "account",
"sourceId": null,
"target": "account",
"targetId": 32593,
"description": null,
"inwardSettlementTime": null,
"outwardSettlementTime": null,
"purpose": "Professional fees payment(i.e. legal, accountant)",
"scheduledAt": null,
"expiredAt": null,
"createdAt": "2024-06-04T10:30:21.000Z",
"updatedAt": "2024-06-04T10:32:20.000Z",
"transaction": {
"receiver": {
"accountNumber": "48488488",
"bankName": "Access Bank Kenya PLC",
"name": "Verto ka company",
"bankCode": "ABNGKENA"
},
"shortURL": ""
},
"paymentId": "d499aa62-861b-460d-a8d5-7c2f95fe9c51"
},
{
"id": "20029",
"reference": "EN-04062024-066",
"userId": "2289",
"companyId": "2233",
"currencyFrom": "GBP",
"amountFrom": 4000,
"currencyTo": "USD",
"amountTo": 5060.88,
"rate": 1.2652207418,
"pricing": {
"overageFee": 0,
"usageId": "665eea1dcfa84cee1b5e3a51",
"subscriptionId": "664b3fc0e8e52032427e0b70"
},
"state": "inwardSettlementDone",
"source": "wallet",
"sourceId": 11436,
"target": "account",
"targetId": 32592,
"description": null,
"inwardSettlementTime": "2024-06-04T10:20:06.000Z",
"outwardSettlementTime": null,
"purpose": "Purchase of Professional Service(s)",
"scheduledAt": null,
"expiredAt": null,
"createdAt": "2024-06-04T10:19:05.000Z",
"updatedAt": "2024-06-04T10:20:10.000Z",
"transaction": {
"receiver": {
"accountNumber": "48488488",
"bankName": "Access Bank Kenya PLC",
"name": "Verto ka company",
"bankCode": "ABNGKENA"
},
"shortURL": ""
},
"paymentId": "88ba34cd-7074-46f4-a006-4fd8c7a5e1e8"
},
{
"id": "20028",
"reference": "EN-04062024-065",
"userId": "2289",
"companyId": "2233",
"currencyFrom": "USD",
"amountFrom": 1000,
"currencyTo": "NGN",
"amountTo": 1028445.6,
"rate": 1028.4456,
"pricing": {
"overageFee": 0,
"usageId": "665ee9b0cfa84cee1b5e3a50",
"subscriptionId": "664b3fc0e8e52032427e0b70"
},
"state": "inwardSettlementDone",
"source": "wallet",
"sourceId": 11435,
"target": "account",
"targetId": 32591,
"description": null,
"inwardSettlementTime": "2024-06-04T10:18:48.000Z",
"outwardSettlementTime": null,
"purpose": "Purchase of Professional Service(s)",
"scheduledAt": null,
"expiredAt": null,
"createdAt": "2024-06-04T10:16:27.000Z",
"updatedAt": "2024-06-04T10:18:55.000Z",
"transaction": {
"receiver": {
"accountNumber": "7844554554",
"bankName": "ACCESS BANK PLC (DIAMOND)",
"name": "Haryanka Industries",
"bankCode": "000005"
},
"shortURL": ""
},
"paymentId": "812"
}
]
}
Interactive API Explorer
Test this endpoint live against the Ahrvo gateway and Verto sandbox environments: